For the latest news and information visit The GNU Crypto project

## gnu.crypto.sig
Interface ISignatureCodec

All Known Implementing Classes:
  DSSSignatureRawCodec, RSAPSSSignatureRawCodec

public interface ISignatureCodec

The visible methods of an object that knows how to encode and decode cryptographic signatures. Codecs are useful for (a) externalising signature output data for storage and on-the-wire transmission, as well as (b) re- creating their internal Java representation from external sources.

Field Summary
`static int` `RAW_FORMAT` Constant identifying the Raw encoding format.

Method Summary
`java.lang.Object` `decodeSignature(byte[] input)`
`byte[]` `encodeSignature(java.lang.Object signature)`
`int` `getFormatID()`

Field Detail

### RAW_FORMAT

    public static final int RAW_FORMAT

  Constant identifying the Raw encoding format.

  See Also:
    Constant Field Values

Method Detail

### getFormatID

    public int getFormatID()

### encodeSignature

    public byte[] encodeSignature(java.lang.Object signature)

### decodeSignature

    public java.lang.Object decodeSignature(byte[] input)

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.